Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.franz.agbase
Class RDFN3Serializer

    java.lang.Object
      com.franz.agbase.AllegroGraphSerializer
          com.franz.agbase.RDFN3Serializer

    public class RDFN3Serializer

extends AllegroGraphSerializer

The RDF N3 serializer is described in more detail in the AllegroGraph Reference Guide for Lisp users as the serialize-rdf-n3 function.

Constructor Summary
`RDFN3Serializer()`

Method Summary
`java.lang.Object` | `getIfDoesNotExist()`
`java.lang.Object` | `getIfExists()`
`int` | `getIndent()`
`void` | `setIfDoesNotExist(java.lang.String ifDoesNotExist)`
`void` | `setIfExists(java.lang.String ifExists)`
`void` | `setIndent(int indent)`

Methods inherited from class com.franz.agbase.AllegroGraphSerializer
`getDestination, getResult, getSource, run, run, setDestination`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDFN3Serializer

    public RDFN3Serializer()

Method Detail

### getIfDoesNotExist

    public java.lang.Object getIfDoesNotExist()

  Returns:
    the ifDoesNotExist

### setIfDoesNotExist

    public void setIfDoesNotExist(java.lang.String ifDoesNotExist)

  Parameters:
    `ifDoesNotExist` - the ifDoesNotExist to set. The allowed values are "create" or "error". The default is "create".

### getIfExists

    public java.lang.Object getIfExists()

  Returns:
    the ifExists

### setIfExists

    public void setIfExists(java.lang.String ifExists)

  Parameters:
    `ifExists` - the ifExists to set\ The valid values are "error", "supersede", or "append. The default is "error".

### getIndent

    public int getIndent()

  Returns:
    the indent

### setIndent

    public void setIndent(int indent)

  Parameters:
    `indent` - the indent to set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD